package com.capgemini.reports.definition.r07report.data.filter.comparators.part;

import com.capgemini.reports.bomlineholder.BOMLineHolder;

/**
 * Compares two Standards' {@link BOMLineHolder}s.
 */
public class StandardBLComparator extends PartBLComparator {
    private static final long serialVersionUID = 7862979771467078306L;

    @Override
    public int compare(final BOMLineHolder thisPartBL, final BOMLineHolder otherPartBL) {
        int cmp = super.compare(thisPartBL, otherPartBL);
        if (cmp != 0) {
            return cmp;
        }
        return new StandardComparator().compare(thisPartBL.getSnecmaObject(), otherPartBL.getSnecmaObject());
    }

}
